<?xml version="1.0" encoding="UTF-8" ?>
<testsuites>
  <testsuite errors="0" failures="0" hostname="alfred-X541UJ" id="0" name="BienParentheseeCrochetsTest" package="" skipped="0" tests="5" time="0.07" timestamp="2019-04-15T23:08:30">
      <properties>
          <property name="ant.project.invoked-targets" value="test-html" />

          <property name="main.build.dir" value="build/" />

          <property name="java.runtime.name" value="OpenJDK Runtime Environment" />

          <property name="sun.boot.library.path" value="/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/amd64" />

          <property name="java.vm.version" value="25.191-b12" />

          <property name="ant.library.dir" value="/usr/share/ant/lib" />

          <property name="ant.version" value="Apache Ant(TM) version 1.10.3 compiled on July 19 2018" />

          <property name="ant.java.version" value="1.8" />

          <property name="java.vm.vendor" value="Oracle Corporation" />

          <property name="java.vendor.url" value="http://java.oracle.com/" />

          <property name="path.separator" value=":" />

          <property name="java.vm.name" value="OpenJDK 64-Bit Server VM" />

          <property name="file.encoding.pkg" value="sun.io" />

          <property name="user.country" value="FR" />

          <property name="sun.java.launcher" value="SUN_STANDARD" />

          <property name="sun.os.patch.level" value="unknown" />

          <property name="java.vm.specification.name" value="Java Virtual Machine Specification" />

          <property name="user.dir" value="/home/alfred/Bureau/DM java/dm_java_2" />

          <property name="main.src.dir" value="./src/" />

          <property name="java.runtime.version" value="1.8.0_191-8u191-b12-2ubuntu0.18.04.1-b12" />

          <property name="java.awt.graphicsenv" value="sun.awt.X11GraphicsEnvironment" />

          <property name="basedir" value="/home/alfred/Bureau/DM java/dm_java_2" />

          <property name="java.endorsed.dirs" value="/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/endorsed" />

          <property name="os.arch" value="amd64" />

          <property name="java.io.tmpdir" value="/tmp" />

          <property name="ant.core.lib" value="/usr/share/ant/lib/ant.jar" />

          <property name="line.separator" value="&#xa;" />

          <property name="java.vm.specification.vendor" value="Oracle Corporation" />

          <property name="os.name" value="Linux" />

          <property name="ant.home" value="/usr/share/ant" />

          <property name="test.src.dir" value="tests/" />

          <property name="ant.project.name" value="DM-POO" />

          <property name="sun.jnu.encoding" value="UTF-8" />

          <property name="java.library.path" value="/usr/java/packages/lib/amd64:/usr/lib/x86_64-linux-gnu/jni:/lib/x86_64-linux-gnu:/usr/lib/x86_64-linux-gnu:/usr/lib/jni:/lib:/usr/lib" />

          <property name="ant.file.type.DM-POO" value="file" />

          <property name="java.class.version" value="52.0" />

          <property name="java.specification.name" value="Java Platform API Specification" />

          <property name="sun.management.compiler" value="HotSpot 64-Bit Tiered Compilers" />

          <property name="os.version" value="4.15.0-47-generic" />

          <property name="ant.file" value="/home/alfred/Bureau/DM java/dm_java_2/build.xml" />

          <property name="user.home" value="/home/alfred" />

          <property name="user.timezone" value="" />

          <property name="java.awt.printerjob" value="sun.print.PSPrinterJob" />

          <property name="java.specification.version" value="1.8" />

          <property name="file.encoding" value="UTF-8" />

          <property name="java.class.path" value="/usr/share/java/junit4.jar:/usr/share/java/hamcrest-all.jar:/home/alfred/Bureau/DM java/dm_java_2/build:/home/alfred/Bureau/DM java/dm_java_2/build/tests:/usr/share/java/ant-launcher-1.10.3.jar:/usr/share/ant/lib/ant.jar:/usr/share/ant/lib/ant-junit.jar:/usr/share/ant/lib/ant-junit4.jar" />

          <property name="user.name" value="alfred" />

          <property name="ant.file.DM-POO" value="/home/alfred/Bureau/DM java/dm_java_2/build.xml" />

          <property name="java.vm.specification.version" value="1.8" />

          <property name="java.home" value="/usr/lib/jvm/java-8-openjdk-amd64/jre" />

          <property name="sun.java.command" value="org.apache.tools.ant.taskdefs.optional.junit.JUnitTestRunner BienParentheseeCrochetsTest skipNonTests=false filtertrace=true haltOnError=false haltOnFailure=false showoutput=false outputtoformatters=true logfailedtests=true threadid=0 logtestlistenerevents=false formatter=org.apache.tools.ant.taskdefs.optional.junit.PlainJUnitResultFormatter,/home/alfred/Bureau/DM java/dm_java_2/reports/TEST-BienParentheseeCrochetsTest.txt formatter=org.apache.tools.ant.taskdefs.optional.junit.XMLJUnitResultFormatter,/home/alfred/Bureau/DM java/dm_java_2/reports/TEST-BienParentheseeCrochetsTest.xml crashfile=/home/alfred/Bureau/DM java/dm_java_2/junitvmwatcher8312780180152814038.properties propsfile=/home/alfred/Bureau/DM java/dm_java_2/junit2170799949593858129.properties" />

          <property name="sun.arch.data.model" value="64" />

          <property name="java.specification.vendor" value="Oracle Corporation" />

          <property name="user.language" value="fr" />

          <property name="awt.toolkit" value="sun.awt.X11.XToolkit" />

          <property name="java.vm.info" value="mixed mode" />

          <property name="java.version" value="1.8.0_191" />

          <property name="java.ext.dirs" value="/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/ext:/usr/java/packages/lib/ext" />

          <property name="sun.boot.class.path" value="/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/resources.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/rt.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/sunrsasign.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/jsse.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/jce.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/charsets.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/jfr.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/classes" />

          <property name="java.vendor" value="Oracle Corporation" />

          <property name="file.separator" value="/" />

          <property name="java.vendor.url.bug" value="http://bugreport.sun.com/bugreport/" />

          <property name="sun.cpu.endian" value="little" />

          <property name="sun.io.unicode.encoding" value="UnicodeLittle" />

          <property name="test.reports.dir" value="reports/" />

          <property name="test.build.dir" value="build/tests" />

          <property name="ant.file.type" value="file" />

          <property name="sun.cpu.isalist" value="" />

      </properties>

      <testcase classname="BienParentheseeCrochetsTest" name="chaineVideBienParenthesee" time="0.004" />

      <testcase classname="BienParentheseeCrochetsTest" name="moinsDeParenthesesFermantesQueOuvrantesEstMalParenthesee" time="0.001" />

      <testcase classname="BienParentheseeCrochetsTest" name="unExempleBienParenthese" time="0.0" />

      <testcase classname="BienParentheseeCrochetsTest" name="pasDansLeBonOrdre" time="0.0" />

      <testcase classname="BienParentheseeCrochetsTest" name="moinsDeParenthesesOuvrantesQueFermantesEstMalParenthesee" time="0.0" />

      <system-out><![CDATA[]]></system-out>

      <system-err><![CDATA[]]></system-err>

  </testsuite>
  <testsuite errors="0" failures="0" hostname="alfred-X541UJ" id="1" name="BienParentheseeTest" package="" skipped="0" tests="5" time="0.071" timestamp="2019-04-15T23:08:31">
      <properties>
          <property name="ant.project.invoked-targets" value="test-html" />

          <property name="main.build.dir" value="build/" />

          <property name="java.runtime.name" value="OpenJDK Runtime Environment" />

          <property name="sun.boot.library.path" value="/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/amd64" />

          <property name="java.vm.version" value="25.191-b12" />

          <property name="ant.library.dir" value="/usr/share/ant/lib" />

          <property name="ant.version" value="Apache Ant(TM) version 1.10.3 compiled on July 19 2018" />

          <property name="ant.java.version" value="1.8" />

          <property name="java.vm.vendor" value="Oracle Corporation" />

          <property name="java.vendor.url" value="http://java.oracle.com/" />

          <property name="path.separator" value=":" />

          <property name="java.vm.name" value="OpenJDK 64-Bit Server VM" />

          <property name="file.encoding.pkg" value="sun.io" />

          <property name="user.country" value="FR" />

          <property name="sun.java.launcher" value="SUN_STANDARD" />

          <property name="sun.os.patch.level" value="unknown" />

          <property name="java.vm.specification.name" value="Java Virtual Machine Specification" />

          <property name="user.dir" value="/home/alfred/Bureau/DM java/dm_java_2" />

          <property name="main.src.dir" value="./src/" />

          <property name="java.runtime.version" value="1.8.0_191-8u191-b12-2ubuntu0.18.04.1-b12" />

          <property name="java.awt.graphicsenv" value="sun.awt.X11GraphicsEnvironment" />

          <property name="basedir" value="/home/alfred/Bureau/DM java/dm_java_2" />

          <property name="java.endorsed.dirs" value="/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/endorsed" />

          <property name="os.arch" value="amd64" />

          <property name="java.io.tmpdir" value="/tmp" />

          <property name="ant.core.lib" value="/usr/share/ant/lib/ant.jar" />

          <property name="line.separator" value="&#xa;" />

          <property name="java.vm.specification.vendor" value="Oracle Corporation" />

          <property name="os.name" value="Linux" />

          <property name="ant.home" value="/usr/share/ant" />

          <property name="test.src.dir" value="tests/" />

          <property name="ant.project.name" value="DM-POO" />

          <property name="sun.jnu.encoding" value="UTF-8" />

          <property name="java.library.path" value="/usr/java/packages/lib/amd64:/usr/lib/x86_64-linux-gnu/jni:/lib/x86_64-linux-gnu:/usr/lib/x86_64-linux-gnu:/usr/lib/jni:/lib:/usr/lib" />

          <property name="ant.file.type.DM-POO" value="file" />

          <property name="java.class.version" value="52.0" />

          <property name="java.specification.name" value="Java Platform API Specification" />

          <property name="sun.management.compiler" value="HotSpot 64-Bit Tiered Compilers" />

          <property name="os.version" value="4.15.0-47-generic" />

          <property name="ant.file" value="/home/alfred/Bureau/DM java/dm_java_2/build.xml" />

          <property name="user.home" value="/home/alfred" />

          <property name="user.timezone" value="" />

          <property name="java.awt.printerjob" value="sun.print.PSPrinterJob" />

          <property name="java.specification.version" value="1.8" />

          <property name="file.encoding" value="UTF-8" />

          <property name="java.class.path" value="/usr/share/java/junit4.jar:/usr/share/java/hamcrest-all.jar:/home/alfred/Bureau/DM java/dm_java_2/build:/home/alfred/Bureau/DM java/dm_java_2/build/tests:/usr/share/java/ant-launcher-1.10.3.jar:/usr/share/ant/lib/ant.jar:/usr/share/ant/lib/ant-junit.jar:/usr/share/ant/lib/ant-junit4.jar" />

          <property name="user.name" value="alfred" />

          <property name="ant.file.DM-POO" value="/home/alfred/Bureau/DM java/dm_java_2/build.xml" />

          <property name="java.vm.specification.version" value="1.8" />

          <property name="java.home" value="/usr/lib/jvm/java-8-openjdk-amd64/jre" />

          <property name="sun.java.command" value="org.apache.tools.ant.taskdefs.optional.junit.JUnitTestRunner BienParentheseeTest skipNonTests=false filtertrace=true haltOnError=false haltOnFailure=false showoutput=false outputtoformatters=true logfailedtests=true threadid=0 logtestlistenerevents=false formatter=org.apache.tools.ant.taskdefs.optional.junit.PlainJUnitResultFormatter,/home/alfred/Bureau/DM java/dm_java_2/reports/TEST-BienParentheseeTest.txt formatter=org.apache.tools.ant.taskdefs.optional.junit.XMLJUnitResultFormatter,/home/alfred/Bureau/DM java/dm_java_2/reports/TEST-BienParentheseeTest.xml crashfile=/home/alfred/Bureau/DM java/dm_java_2/junitvmwatcher4750866732093890450.properties propsfile=/home/alfred/Bureau/DM java/dm_java_2/junit6147999358196894388.properties" />

          <property name="sun.arch.data.model" value="64" />

          <property name="java.specification.vendor" value="Oracle Corporation" />

          <property name="user.language" value="fr" />

          <property name="awt.toolkit" value="sun.awt.X11.XToolkit" />

          <property name="java.vm.info" value="mixed mode" />

          <property name="java.version" value="1.8.0_191" />

          <property name="java.ext.dirs" value="/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/ext:/usr/java/packages/lib/ext" />

          <property name="sun.boot.class.path" value="/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/resources.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/rt.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/sunrsasign.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/jsse.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/jce.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/charsets.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/jfr.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/classes" />

          <property name="java.vendor" value="Oracle Corporation" />

          <property name="file.separator" value="/" />

          <property name="java.vendor.url.bug" value="http://bugreport.sun.com/bugreport/" />

          <property name="sun.cpu.endian" value="little" />

          <property name="sun.io.unicode.encoding" value="UnicodeLittle" />

          <property name="test.reports.dir" value="reports/" />

          <property name="test.build.dir" value="build/tests" />

          <property name="ant.file.type" value="file" />

          <property name="sun.cpu.isalist" value="" />

      </properties>

      <testcase classname="BienParentheseeTest" name="chaineVideBienParenthesee" time="0.005" />

      <testcase classname="BienParentheseeTest" name="moinsDeParenthesesFermantesQueOuvrantesEstMalParenthesee" time="0.0" />

      <testcase classname="BienParentheseeTest" name="exempleBienParenthese" time="0.0" />

      <testcase classname="BienParentheseeTest" name="pasDansLeBonOrdre" time="0.001" />

      <testcase classname="BienParentheseeTest" name="moinsDeParenthesesOuvrantesQueFermantesEstMalParenthesee" time="0.0" />

      <system-out><![CDATA[]]></system-out>

      <system-err><![CDATA[]]></system-err>

  </testsuite>
  <testsuite errors="0" failures="0" hostname="alfred-X541UJ" id="2" name="DecoupeTest" package="" skipped="0" tests="3" time="0.066" timestamp="2019-04-15T23:08:31">
      <properties>
          <property name="ant.project.invoked-targets" value="test-html" />

          <property name="main.build.dir" value="build/" />

          <property name="java.runtime.name" value="OpenJDK Runtime Environment" />

          <property name="sun.boot.library.path" value="/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/amd64" />

          <property name="java.vm.version" value="25.191-b12" />

          <property name="ant.library.dir" value="/usr/share/ant/lib" />

          <property name="ant.version" value="Apache Ant(TM) version 1.10.3 compiled on July 19 2018" />

          <property name="ant.java.version" value="1.8" />

          <property name="java.vm.vendor" value="Oracle Corporation" />

          <property name="java.vendor.url" value="http://java.oracle.com/" />

          <property name="path.separator" value=":" />

          <property name="java.vm.name" value="OpenJDK 64-Bit Server VM" />

          <property name="file.encoding.pkg" value="sun.io" />

          <property name="user.country" value="FR" />

          <property name="sun.java.launcher" value="SUN_STANDARD" />

          <property name="sun.os.patch.level" value="unknown" />

          <property name="java.vm.specification.name" value="Java Virtual Machine Specification" />

          <property name="user.dir" value="/home/alfred/Bureau/DM java/dm_java_2" />

          <property name="main.src.dir" value="./src/" />

          <property name="java.runtime.version" value="1.8.0_191-8u191-b12-2ubuntu0.18.04.1-b12" />

          <property name="java.awt.graphicsenv" value="sun.awt.X11GraphicsEnvironment" />

          <property name="basedir" value="/home/alfred/Bureau/DM java/dm_java_2" />

          <property name="java.endorsed.dirs" value="/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/endorsed" />

          <property name="os.arch" value="amd64" />

          <property name="java.io.tmpdir" value="/tmp" />

          <property name="ant.core.lib" value="/usr/share/ant/lib/ant.jar" />

          <property name="line.separator" value="&#xa;" />

          <property name="java.vm.specification.vendor" value="Oracle Corporation" />

          <property name="os.name" value="Linux" />

          <property name="ant.home" value="/usr/share/ant" />

          <property name="test.src.dir" value="tests/" />

          <property name="ant.project.name" value="DM-POO" />

          <property name="sun.jnu.encoding" value="UTF-8" />

          <property name="java.library.path" value="/usr/java/packages/lib/amd64:/usr/lib/x86_64-linux-gnu/jni:/lib/x86_64-linux-gnu:/usr/lib/x86_64-linux-gnu:/usr/lib/jni:/lib:/usr/lib" />

          <property name="ant.file.type.DM-POO" value="file" />

          <property name="java.class.version" value="52.0" />

          <property name="java.specification.name" value="Java Platform API Specification" />

          <property name="sun.management.compiler" value="HotSpot 64-Bit Tiered Compilers" />

          <property name="os.version" value="4.15.0-47-generic" />

          <property name="ant.file" value="/home/alfred/Bureau/DM java/dm_java_2/build.xml" />

          <property name="user.home" value="/home/alfred" />

          <property name="user.timezone" value="" />

          <property name="java.awt.printerjob" value="sun.print.PSPrinterJob" />

          <property name="java.specification.version" value="1.8" />

          <property name="file.encoding" value="UTF-8" />

          <property name="java.class.path" value="/usr/share/java/junit4.jar:/usr/share/java/hamcrest-all.jar:/home/alfred/Bureau/DM java/dm_java_2/build:/home/alfred/Bureau/DM java/dm_java_2/build/tests:/usr/share/java/ant-launcher-1.10.3.jar:/usr/share/ant/lib/ant.jar:/usr/share/ant/lib/ant-junit.jar:/usr/share/ant/lib/ant-junit4.jar" />

          <property name="user.name" value="alfred" />

          <property name="ant.file.DM-POO" value="/home/alfred/Bureau/DM java/dm_java_2/build.xml" />

          <property name="java.vm.specification.version" value="1.8" />

          <property name="java.home" value="/usr/lib/jvm/java-8-openjdk-amd64/jre" />

          <property name="sun.java.command" value="org.apache.tools.ant.taskdefs.optional.junit.JUnitTestRunner DecoupeTest skipNonTests=false filtertrace=true haltOnError=false haltOnFailure=false showoutput=false outputtoformatters=true logfailedtests=true threadid=0 logtestlistenerevents=false formatter=org.apache.tools.ant.taskdefs.optional.junit.PlainJUnitResultFormatter,/home/alfred/Bureau/DM java/dm_java_2/reports/TEST-DecoupeTest.txt formatter=org.apache.tools.ant.taskdefs.optional.junit.XMLJUnitResultFormatter,/home/alfred/Bureau/DM java/dm_java_2/reports/TEST-DecoupeTest.xml crashfile=/home/alfred/Bureau/DM java/dm_java_2/junitvmwatcher566196655664072421.properties propsfile=/home/alfred/Bureau/DM java/dm_java_2/junit242383280070898101.properties" />

          <property name="sun.arch.data.model" value="64" />

          <property name="java.specification.vendor" value="Oracle Corporation" />

          <property name="user.language" value="fr" />

          <property name="awt.toolkit" value="sun.awt.X11.XToolkit" />

          <property name="java.vm.info" value="mixed mode" />

          <property name="java.version" value="1.8.0_191" />

          <property name="java.ext.dirs" value="/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/ext:/usr/java/packages/lib/ext" />

          <property name="sun.boot.class.path" value="/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/resources.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/rt.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/sunrsasign.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/jsse.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/jce.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/charsets.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/jfr.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/classes" />

          <property name="java.vendor" value="Oracle Corporation" />

          <property name="file.separator" value="/" />

          <property name="java.vendor.url.bug" value="http://bugreport.sun.com/bugreport/" />

          <property name="sun.cpu.endian" value="little" />

          <property name="sun.io.unicode.encoding" value="UnicodeLittle" />

          <property name="test.reports.dir" value="reports/" />

          <property name="test.build.dir" value="build/tests" />

          <property name="ant.file.type" value="file" />

          <property name="sun.cpu.isalist" value="" />

      </properties>

      <testcase classname="DecoupeTest" name="DecoupeChaineVideRenvoieListeVide" time="0.004" />

      <testcase classname="DecoupeTest" name="DecoupeExemple" time="0.001" />

      <testcase classname="DecoupeTest" name="DecoupeEspacesMultiplesExemple" time="0.0" />

      <system-out><![CDATA[]]></system-out>

      <system-err><![CDATA[]]></system-err>

  </testsuite>
  <testsuite errors="0" failures="0" hostname="alfred-X541UJ" id="3" name="IntersectionTest" package="" skipped="0" tests="5" time="0.111" timestamp="2019-04-15T23:08:31">
      <properties>
          <property name="ant.project.invoked-targets" value="test-html" />

          <property name="main.build.dir" value="build/" />

          <property name="java.runtime.name" value="OpenJDK Runtime Environment" />

          <property name="sun.boot.library.path" value="/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/amd64" />

          <property name="java.vm.version" value="25.191-b12" />

          <property name="ant.library.dir" value="/usr/share/ant/lib" />

          <property name="ant.version" value="Apache Ant(TM) version 1.10.3 compiled on July 19 2018" />

          <property name="ant.java.version" value="1.8" />

          <property name="java.vm.vendor" value="Oracle Corporation" />

          <property name="java.vendor.url" value="http://java.oracle.com/" />

          <property name="path.separator" value=":" />

          <property name="java.vm.name" value="OpenJDK 64-Bit Server VM" />

          <property name="file.encoding.pkg" value="sun.io" />

          <property name="user.country" value="FR" />

          <property name="sun.java.launcher" value="SUN_STANDARD" />

          <property name="sun.os.patch.level" value="unknown" />

          <property name="java.vm.specification.name" value="Java Virtual Machine Specification" />

          <property name="user.dir" value="/home/alfred/Bureau/DM java/dm_java_2" />

          <property name="main.src.dir" value="./src/" />

          <property name="java.runtime.version" value="1.8.0_191-8u191-b12-2ubuntu0.18.04.1-b12" />

          <property name="java.awt.graphicsenv" value="sun.awt.X11GraphicsEnvironment" />

          <property name="basedir" value="/home/alfred/Bureau/DM java/dm_java_2" />

          <property name="java.endorsed.dirs" value="/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/endorsed" />

          <property name="os.arch" value="amd64" />

          <property name="java.io.tmpdir" value="/tmp" />

          <property name="ant.core.lib" value="/usr/share/ant/lib/ant.jar" />

          <property name="line.separator" value="&#xa;" />

          <property name="java.vm.specification.vendor" value="Oracle Corporation" />

          <property name="os.name" value="Linux" />

          <property name="ant.home" value="/usr/share/ant" />

          <property name="test.src.dir" value="tests/" />

          <property name="ant.project.name" value="DM-POO" />

          <property name="sun.jnu.encoding" value="UTF-8" />

          <property name="java.library.path" value="/usr/java/packages/lib/amd64:/usr/lib/x86_64-linux-gnu/jni:/lib/x86_64-linux-gnu:/usr/lib/x86_64-linux-gnu:/usr/lib/jni:/lib:/usr/lib" />

          <property name="ant.file.type.DM-POO" value="file" />

          <property name="java.class.version" value="52.0" />

          <property name="java.specification.name" value="Java Platform API Specification" />

          <property name="sun.management.compiler" value="HotSpot 64-Bit Tiered Compilers" />

          <property name="os.version" value="4.15.0-47-generic" />

          <property name="ant.file" value="/home/alfred/Bureau/DM java/dm_java_2/build.xml" />

          <property name="user.home" value="/home/alfred" />

          <property name="user.timezone" value="" />

          <property name="java.awt.printerjob" value="sun.print.PSPrinterJob" />

          <property name="java.specification.version" value="1.8" />

          <property name="file.encoding" value="UTF-8" />

          <property name="java.class.path" value="/usr/share/java/junit4.jar:/usr/share/java/hamcrest-all.jar:/home/alfred/Bureau/DM java/dm_java_2/build:/home/alfred/Bureau/DM java/dm_java_2/build/tests:/usr/share/java/ant-launcher-1.10.3.jar:/usr/share/ant/lib/ant.jar:/usr/share/ant/lib/ant-junit.jar:/usr/share/ant/lib/ant-junit4.jar" />

          <property name="user.name" value="alfred" />

          <property name="ant.file.DM-POO" value="/home/alfred/Bureau/DM java/dm_java_2/build.xml" />

          <property name="java.vm.specification.version" value="1.8" />

          <property name="java.home" value="/usr/lib/jvm/java-8-openjdk-amd64/jre" />

          <property name="sun.java.command" value="org.apache.tools.ant.taskdefs.optional.junit.JUnitTestRunner IntersectionTest skipNonTests=false filtertrace=true haltOnError=false haltOnFailure=false showoutput=false outputtoformatters=true logfailedtests=true threadid=0 logtestlistenerevents=false formatter=org.apache.tools.ant.taskdefs.optional.junit.PlainJUnitResultFormatter,/home/alfred/Bureau/DM java/dm_java_2/reports/TEST-IntersectionTest.txt formatter=org.apache.tools.ant.taskdefs.optional.junit.XMLJUnitResultFormatter,/home/alfred/Bureau/DM java/dm_java_2/reports/TEST-IntersectionTest.xml crashfile=/home/alfred/Bureau/DM java/dm_java_2/junitvmwatcher3172869069551720280.properties propsfile=/home/alfred/Bureau/DM java/dm_java_2/junit3545779167667589496.properties" />

          <property name="sun.arch.data.model" value="64" />

          <property name="java.specification.vendor" value="Oracle Corporation" />

          <property name="user.language" value="fr" />

          <property name="awt.toolkit" value="sun.awt.X11.XToolkit" />

          <property name="java.vm.info" value="mixed mode" />

          <property name="java.version" value="1.8.0_191" />

          <property name="java.ext.dirs" value="/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/ext:/usr/java/packages/lib/ext" />

          <property name="sun.boot.class.path" value="/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/resources.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/rt.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/sunrsasign.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/jsse.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/jce.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/charsets.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/jfr.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/classes" />

          <property name="java.vendor" value="Oracle Corporation" />

          <property name="file.separator" value="/" />

          <property name="java.vendor.url.bug" value="http://bugreport.sun.com/bugreport/" />

          <property name="sun.cpu.endian" value="little" />

          <property name="sun.io.unicode.encoding" value="UnicodeLittle" />

          <property name="test.reports.dir" value="reports/" />

          <property name="test.build.dir" value="build/tests" />

          <property name="ant.file.type" value="file" />

          <property name="sun.cpu.isalist" value="" />

      </properties>

      <testcase classname="IntersectionTest" name="intersectionExemple" time="0.005" />

      <testcase classname="IntersectionTest" name="intersectionVideRenvoieVide" time="0.0" />

      <testcase classname="IntersectionTest" name="intersectionDoitEtreEnTempsLineaire" time="0.047" />

      <testcase classname="IntersectionTest" name="interesectionDeuxListesEgalesRenvoieListe" time="0.0" />

      <testcase classname="IntersectionTest" name="initersectionListeAvecDuplicatsRenvoieListeSansDuplicats" time="0.0" />

      <system-out><![CDATA[]]></system-out>

      <system-err><![CDATA[]]></system-err>

  </testsuite>
  <testsuite errors="0" failures="0" hostname="alfred-X541UJ" id="4" name="MinTest" package="" skipped="0" tests="2" time="0.067" timestamp="2019-04-15T23:08:32">
      <properties>
          <property name="ant.project.invoked-targets" value="test-html" />

          <property name="main.build.dir" value="build/" />

          <property name="java.runtime.name" value="OpenJDK Runtime Environment" />

          <property name="sun.boot.library.path" value="/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/amd64" />

          <property name="java.vm.version" value="25.191-b12" />

          <property name="ant.library.dir" value="/usr/share/ant/lib" />

          <property name="ant.version" value="Apache Ant(TM) version 1.10.3 compiled on July 19 2018" />

          <property name="ant.java.version" value="1.8" />

          <property name="java.vm.vendor" value="Oracle Corporation" />

          <property name="java.vendor.url" value="http://java.oracle.com/" />

          <property name="path.separator" value=":" />

          <property name="java.vm.name" value="OpenJDK 64-Bit Server VM" />

          <property name="file.encoding.pkg" value="sun.io" />

          <property name="user.country" value="FR" />

          <property name="sun.java.launcher" value="SUN_STANDARD" />

          <property name="sun.os.patch.level" value="unknown" />

          <property name="java.vm.specification.name" value="Java Virtual Machine Specification" />

          <property name="user.dir" value="/home/alfred/Bureau/DM java/dm_java_2" />

          <property name="main.src.dir" value="./src/" />

          <property name="java.runtime.version" value="1.8.0_191-8u191-b12-2ubuntu0.18.04.1-b12" />

          <property name="java.awt.graphicsenv" value="sun.awt.X11GraphicsEnvironment" />

          <property name="basedir" value="/home/alfred/Bureau/DM java/dm_java_2" />

          <property name="java.endorsed.dirs" value="/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/endorsed" />

          <property name="os.arch" value="amd64" />

          <property name="java.io.tmpdir" value="/tmp" />

          <property name="ant.core.lib" value="/usr/share/ant/lib/ant.jar" />

          <property name="line.separator" value="&#xa;" />

          <property name="java.vm.specification.vendor" value="Oracle Corporation" />

          <property name="os.name" value="Linux" />

          <property name="ant.home" value="/usr/share/ant" />

          <property name="test.src.dir" value="tests/" />

          <property name="ant.project.name" value="DM-POO" />

          <property name="sun.jnu.encoding" value="UTF-8" />

          <property name="java.library.path" value="/usr/java/packages/lib/amd64:/usr/lib/x86_64-linux-gnu/jni:/lib/x86_64-linux-gnu:/usr/lib/x86_64-linux-gnu:/usr/lib/jni:/lib:/usr/lib" />

          <property name="ant.file.type.DM-POO" value="file" />

          <property name="java.class.version" value="52.0" />

          <property name="java.specification.name" value="Java Platform API Specification" />

          <property name="sun.management.compiler" value="HotSpot 64-Bit Tiered Compilers" />

          <property name="os.version" value="4.15.0-47-generic" />

          <property name="ant.file" value="/home/alfred/Bureau/DM java/dm_java_2/build.xml" />

          <property name="user.home" value="/home/alfred" />

          <property name="user.timezone" value="" />

          <property name="java.awt.printerjob" value="sun.print.PSPrinterJob" />

          <property name="java.specification.version" value="1.8" />

          <property name="file.encoding" value="UTF-8" />

          <property name="java.class.path" value="/usr/share/java/junit4.jar:/usr/share/java/hamcrest-all.jar:/home/alfred/Bureau/DM java/dm_java_2/build:/home/alfred/Bureau/DM java/dm_java_2/build/tests:/usr/share/java/ant-launcher-1.10.3.jar:/usr/share/ant/lib/ant.jar:/usr/share/ant/lib/ant-junit.jar:/usr/share/ant/lib/ant-junit4.jar" />

          <property name="user.name" value="alfred" />

          <property name="ant.file.DM-POO" value="/home/alfred/Bureau/DM java/dm_java_2/build.xml" />

          <property name="java.vm.specification.version" value="1.8" />

          <property name="java.home" value="/usr/lib/jvm/java-8-openjdk-amd64/jre" />

          <property name="sun.java.command" value="org.apache.tools.ant.taskdefs.optional.junit.JUnitTestRunner MinTest skipNonTests=false filtertrace=true haltOnError=false haltOnFailure=false showoutput=false outputtoformatters=true logfailedtests=true threadid=0 logtestlistenerevents=false formatter=org.apache.tools.ant.taskdefs.optional.junit.PlainJUnitResultFormatter,/home/alfred/Bureau/DM java/dm_java_2/reports/TEST-MinTest.txt formatter=org.apache.tools.ant.taskdefs.optional.junit.XMLJUnitResultFormatter,/home/alfred/Bureau/DM java/dm_java_2/reports/TEST-MinTest.xml crashfile=/home/alfred/Bureau/DM java/dm_java_2/junitvmwatcher3502605946374437893.properties propsfile=/home/alfred/Bureau/DM java/dm_java_2/junit6713895172840062540.properties" />

          <property name="sun.arch.data.model" value="64" />

          <property name="java.specification.vendor" value="Oracle Corporation" />

          <property name="user.language" value="fr" />

          <property name="awt.toolkit" value="sun.awt.X11.XToolkit" />

          <property name="java.vm.info" value="mixed mode" />

          <property name="java.version" value="1.8.0_191" />

          <property name="java.ext.dirs" value="/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/ext:/usr/java/packages/lib/ext" />

          <property name="sun.boot.class.path" value="/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/resources.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/rt.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/sunrsasign.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/jsse.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/jce.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/charsets.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/jfr.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/classes" />

          <property name="java.vendor" value="Oracle Corporation" />

          <property name="file.separator" value="/" />

          <property name="java.vendor.url.bug" value="http://bugreport.sun.com/bugreport/" />

          <property name="sun.cpu.endian" value="little" />

          <property name="sun.io.unicode.encoding" value="UnicodeLittle" />

          <property name="test.reports.dir" value="reports/" />

          <property name="test.build.dir" value="build/tests" />

          <property name="ant.file.type" value="file" />

          <property name="sun.cpu.isalist" value="" />

      </properties>

      <testcase classname="MinTest" name="MinListeVideEstNull" time="0.005" />

      <testcase classname="MinTest" name="MinListeExemple" time="0.001" />

      <system-out><![CDATA[]]></system-out>

      <system-err><![CDATA[]]></system-err>

  </testsuite>
  <testsuite errors="0" failures="0" hostname="alfred-X541UJ" id="5" name="MotMajoritaireTest" package="" skipped="0" tests="5" time="0.765" timestamp="2019-04-15T23:08:32">
      <properties>
          <property name="ant.project.invoked-targets" value="test-html" />

          <property name="main.build.dir" value="build/" />

          <property name="java.runtime.name" value="OpenJDK Runtime Environment" />

          <property name="sun.boot.library.path" value="/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/amd64" />

          <property name="java.vm.version" value="25.191-b12" />

          <property name="ant.library.dir" value="/usr/share/ant/lib" />

          <property name="ant.version" value="Apache Ant(TM) version 1.10.3 compiled on July 19 2018" />

          <property name="ant.java.version" value="1.8" />

          <property name="java.vm.vendor" value="Oracle Corporation" />

          <property name="java.vendor.url" value="http://java.oracle.com/" />

          <property name="path.separator" value=":" />

          <property name="java.vm.name" value="OpenJDK 64-Bit Server VM" />

          <property name="file.encoding.pkg" value="sun.io" />

          <property name="user.country" value="FR" />

          <property name="sun.java.launcher" value="SUN_STANDARD" />

          <property name="sun.os.patch.level" value="unknown" />

          <property name="java.vm.specification.name" value="Java Virtual Machine Specification" />

          <property name="user.dir" value="/home/alfred/Bureau/DM java/dm_java_2" />

          <property name="main.src.dir" value="./src/" />

          <property name="java.runtime.version" value="1.8.0_191-8u191-b12-2ubuntu0.18.04.1-b12" />

          <property name="java.awt.graphicsenv" value="sun.awt.X11GraphicsEnvironment" />

          <property name="basedir" value="/home/alfred/Bureau/DM java/dm_java_2" />

          <property name="java.endorsed.dirs" value="/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/endorsed" />

          <property name="os.arch" value="amd64" />

          <property name="java.io.tmpdir" value="/tmp" />

          <property name="ant.core.lib" value="/usr/share/ant/lib/ant.jar" />

          <property name="line.separator" value="&#xa;" />

          <property name="java.vm.specification.vendor" value="Oracle Corporation" />

          <property name="os.name" value="Linux" />

          <property name="ant.home" value="/usr/share/ant" />

          <property name="test.src.dir" value="tests/" />

          <property name="ant.project.name" value="DM-POO" />

          <property name="sun.jnu.encoding" value="UTF-8" />

          <property name="java.library.path" value="/usr/java/packages/lib/amd64:/usr/lib/x86_64-linux-gnu/jni:/lib/x86_64-linux-gnu:/usr/lib/x86_64-linux-gnu:/usr/lib/jni:/lib:/usr/lib" />

          <property name="ant.file.type.DM-POO" value="file" />

          <property name="java.class.version" value="52.0" />

          <property name="java.specification.name" value="Java Platform API Specification" />

          <property name="sun.management.compiler" value="HotSpot 64-Bit Tiered Compilers" />

          <property name="os.version" value="4.15.0-47-generic" />

          <property name="ant.file" value="/home/alfred/Bureau/DM java/dm_java_2/build.xml" />

          <property name="user.home" value="/home/alfred" />

          <property name="user.timezone" value="" />

          <property name="java.awt.printerjob" value="sun.print.PSPrinterJob" />

          <property name="java.specification.version" value="1.8" />

          <property name="file.encoding" value="UTF-8" />

          <property name="java.class.path" value="/usr/share/java/junit4.jar:/usr/share/java/hamcrest-all.jar:/home/alfred/Bureau/DM java/dm_java_2/build:/home/alfred/Bureau/DM java/dm_java_2/build/tests:/usr/share/java/ant-launcher-1.10.3.jar:/usr/share/ant/lib/ant.jar:/usr/share/ant/lib/ant-junit.jar:/usr/share/ant/lib/ant-junit4.jar" />

          <property name="user.name" value="alfred" />

          <property name="ant.file.DM-POO" value="/home/alfred/Bureau/DM java/dm_java_2/build.xml" />

          <property name="java.vm.specification.version" value="1.8" />

          <property name="java.home" value="/usr/lib/jvm/java-8-openjdk-amd64/jre" />

          <property name="sun.java.command" value="org.apache.tools.ant.taskdefs.optional.junit.JUnitTestRunner MotMajoritaireTest skipNonTests=false filtertrace=true haltOnError=false haltOnFailure=false showoutput=false outputtoformatters=true logfailedtests=true threadid=0 logtestlistenerevents=false formatter=org.apache.tools.ant.taskdefs.optional.junit.PlainJUnitResultFormatter,/home/alfred/Bureau/DM java/dm_java_2/reports/TEST-MotMajoritaireTest.txt formatter=org.apache.tools.ant.taskdefs.optional.junit.XMLJUnitResultFormatter,/home/alfred/Bureau/DM java/dm_java_2/reports/TEST-MotMajoritaireTest.xml crashfile=/home/alfred/Bureau/DM java/dm_java_2/junitvmwatcher6622253520578034181.properties propsfile=/home/alfred/Bureau/DM java/dm_java_2/junit3116290036543030285.properties" />

          <property name="sun.arch.data.model" value="64" />

          <property name="java.specification.vendor" value="Oracle Corporation" />

          <property name="user.language" value="fr" />

          <property name="awt.toolkit" value="sun.awt.X11.XToolkit" />

          <property name="java.vm.info" value="mixed mode" />

          <property name="java.version" value="1.8.0_191" />

          <property name="java.ext.dirs" value="/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/ext:/usr/java/packages/lib/ext" />

          <property name="sun.boot.class.path" value="/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/resources.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/rt.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/sunrsasign.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/jsse.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/jce.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/charsets.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/jfr.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/classes" />

          <property name="java.vendor" value="Oracle Corporation" />

          <property name="file.separator" value="/" />

          <property name="java.vendor.url.bug" value="http://bugreport.sun.com/bugreport/" />

          <property name="sun.cpu.endian" value="little" />

          <property name="sun.io.unicode.encoding" value="UnicodeLittle" />

          <property name="test.reports.dir" value="reports/" />

          <property name="test.build.dir" value="build/tests" />

          <property name="ant.file.type" value="file" />

          <property name="sun.cpu.isalist" value="" />

      </properties>

      <testcase classname="MotMajoritaireTest" name="majoritaireDoitEtreEfficace" time="0.699" />

      <testcase classname="MotMajoritaireTest" name="majoritaireTexteExemple" time="0.0" />

      <testcase classname="MotMajoritaireTest" name="majoritaireTexteVideEstNull" time="0.0" />

      <testcase classname="MotMajoritaireTest" name="majoritairePremierParOrdreAlphabetiqueEnCasDEgalite" time="0.0" />

      <testcase classname="MotMajoritaireTest" name="majoritaireTexteExempleAvecEspaces" time="0.0" />

      <system-out><![CDATA[]]></system-out>

      <system-err><![CDATA[]]></system-err>

  </testsuite>
  <testsuite errors="0" failures="0" hostname="alfred-X541UJ" id="6" name="PlusPetitQueTousTest" package="" skipped="0" tests="4" time="0.062" timestamp="2019-04-15T23:08:33">
      <properties>
          <property name="ant.project.invoked-targets" value="test-html" />

          <property name="main.build.dir" value="build/" />

          <property name="java.runtime.name" value="OpenJDK Runtime Environment" />

          <property name="sun.boot.library.path" value="/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/amd64" />

          <property name="java.vm.version" value="25.191-b12" />

          <property name="ant.library.dir" value="/usr/share/ant/lib" />

          <property name="ant.version" value="Apache Ant(TM) version 1.10.3 compiled on July 19 2018" />

          <property name="ant.java.version" value="1.8" />

          <property name="java.vm.vendor" value="Oracle Corporation" />

          <property name="java.vendor.url" value="http://java.oracle.com/" />

          <property name="path.separator" value=":" />

          <property name="java.vm.name" value="OpenJDK 64-Bit Server VM" />

          <property name="file.encoding.pkg" value="sun.io" />

          <property name="user.country" value="FR" />

          <property name="sun.java.launcher" value="SUN_STANDARD" />

          <property name="sun.os.patch.level" value="unknown" />

          <property name="java.vm.specification.name" value="Java Virtual Machine Specification" />

          <property name="user.dir" value="/home/alfred/Bureau/DM java/dm_java_2" />

          <property name="main.src.dir" value="./src/" />

          <property name="java.runtime.version" value="1.8.0_191-8u191-b12-2ubuntu0.18.04.1-b12" />

          <property name="java.awt.graphicsenv" value="sun.awt.X11GraphicsEnvironment" />

          <property name="basedir" value="/home/alfred/Bureau/DM java/dm_java_2" />

          <property name="java.endorsed.dirs" value="/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/endorsed" />

          <property name="os.arch" value="amd64" />

          <property name="java.io.tmpdir" value="/tmp" />

          <property name="ant.core.lib" value="/usr/share/ant/lib/ant.jar" />

          <property name="line.separator" value="&#xa;" />

          <property name="java.vm.specification.vendor" value="Oracle Corporation" />

          <property name="os.name" value="Linux" />

          <property name="ant.home" value="/usr/share/ant" />

          <property name="test.src.dir" value="tests/" />

          <property name="ant.project.name" value="DM-POO" />

          <property name="sun.jnu.encoding" value="UTF-8" />

          <property name="java.library.path" value="/usr/java/packages/lib/amd64:/usr/lib/x86_64-linux-gnu/jni:/lib/x86_64-linux-gnu:/usr/lib/x86_64-linux-gnu:/usr/lib/jni:/lib:/usr/lib" />

          <property name="ant.file.type.DM-POO" value="file" />

          <property name="java.class.version" value="52.0" />

          <property name="java.specification.name" value="Java Platform API Specification" />

          <property name="sun.management.compiler" value="HotSpot 64-Bit Tiered Compilers" />

          <property name="os.version" value="4.15.0-47-generic" />

          <property name="ant.file" value="/home/alfred/Bureau/DM java/dm_java_2/build.xml" />

          <property name="user.home" value="/home/alfred" />

          <property name="user.timezone" value="" />

          <property name="java.awt.printerjob" value="sun.print.PSPrinterJob" />

          <property name="java.specification.version" value="1.8" />

          <property name="file.encoding" value="UTF-8" />

          <property name="java.class.path" value="/usr/share/java/junit4.jar:/usr/share/java/hamcrest-all.jar:/home/alfred/Bureau/DM java/dm_java_2/build:/home/alfred/Bureau/DM java/dm_java_2/build/tests:/usr/share/java/ant-launcher-1.10.3.jar:/usr/share/ant/lib/ant.jar:/usr/share/ant/lib/ant-junit.jar:/usr/share/ant/lib/ant-junit4.jar" />

          <property name="user.name" value="alfred" />

          <property name="ant.file.DM-POO" value="/home/alfred/Bureau/DM java/dm_java_2/build.xml" />

          <property name="java.vm.specification.version" value="1.8" />

          <property name="java.home" value="/usr/lib/jvm/java-8-openjdk-amd64/jre" />

          <property name="sun.java.command" value="org.apache.tools.ant.taskdefs.optional.junit.JUnitTestRunner PlusPetitQueTousTest skipNonTests=false filtertrace=true haltOnError=false haltOnFailure=false showoutput=false outputtoformatters=true logfailedtests=true threadid=0 logtestlistenerevents=false formatter=org.apache.tools.ant.taskdefs.optional.junit.PlainJUnitResultFormatter,/home/alfred/Bureau/DM java/dm_java_2/reports/TEST-PlusPetitQueTousTest.txt formatter=org.apache.tools.ant.taskdefs.optional.junit.XMLJUnitResultFormatter,/home/alfred/Bureau/DM java/dm_java_2/reports/TEST-PlusPetitQueTousTest.xml crashfile=/home/alfred/Bureau/DM java/dm_java_2/junitvmwatcher5707588836294885189.properties propsfile=/home/alfred/Bureau/DM java/dm_java_2/junit7275480023588136224.properties" />

          <property name="sun.arch.data.model" value="64" />

          <property name="java.specification.vendor" value="Oracle Corporation" />

          <property name="user.language" value="fr" />

          <property name="awt.toolkit" value="sun.awt.X11.XToolkit" />

          <property name="java.vm.info" value="mixed mode" />

          <property name="java.version" value="1.8.0_191" />

          <property name="java.ext.dirs" value="/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/ext:/usr/java/packages/lib/ext" />

          <property name="sun.boot.class.path" value="/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/resources.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/rt.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/sunrsasign.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/jsse.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/jce.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/charsets.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/jfr.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/classes" />

          <property name="java.vendor" value="Oracle Corporation" />

          <property name="file.separator" value="/" />

          <property name="java.vendor.url.bug" value="http://bugreport.sun.com/bugreport/" />

          <property name="sun.cpu.endian" value="little" />

          <property name="sun.io.unicode.encoding" value="UnicodeLittle" />

          <property name="test.reports.dir" value="reports/" />

          <property name="test.build.dir" value="build/tests" />

          <property name="ant.file.type" value="file" />

          <property name="sun.cpu.isalist" value="" />

      </properties>

      <testcase classname="PlusPetitQueTousTest" name="bonjourPlusPetitQueElemsDeListeVide" time="0.003" />

      <testcase classname="PlusPetitQueTousTest" name="zozoPasPlusPetitQueToutLeMonde" time="0.0" />

      <testcase classname="PlusPetitQueTousTest" name="bonjourPlusPetitQueToutLeMonde" time="0.0" />

      <testcase classname="PlusPetitQueTousTest" name="lePasPlusPetiteQueToueLeMonde" time="0.0" />

      <system-out><![CDATA[]]></system-out>

      <system-err><![CDATA[]]></system-err>

  </testsuite>
  <testsuite errors="0" failures="0" hostname="alfred-X541UJ" id="7" name="PlusTest" package="" skipped="0" tests="2" time="0.061" timestamp="2019-04-15T23:08:34">
      <properties>
          <property name="ant.project.invoked-targets" value="test-html" />

          <property name="main.build.dir" value="build/" />

          <property name="java.runtime.name" value="OpenJDK Runtime Environment" />

          <property name="sun.boot.library.path" value="/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/amd64" />

          <property name="java.vm.version" value="25.191-b12" />

          <property name="ant.library.dir" value="/usr/share/ant/lib" />

          <property name="ant.version" value="Apache Ant(TM) version 1.10.3 compiled on July 19 2018" />

          <property name="ant.java.version" value="1.8" />

          <property name="java.vm.vendor" value="Oracle Corporation" />

          <property name="java.vendor.url" value="http://java.oracle.com/" />

          <property name="path.separator" value=":" />

          <property name="java.vm.name" value="OpenJDK 64-Bit Server VM" />

          <property name="file.encoding.pkg" value="sun.io" />

          <property name="user.country" value="FR" />

          <property name="sun.java.launcher" value="SUN_STANDARD" />

          <property name="sun.os.patch.level" value="unknown" />

          <property name="java.vm.specification.name" value="Java Virtual Machine Specification" />

          <property name="user.dir" value="/home/alfred/Bureau/DM java/dm_java_2" />

          <property name="main.src.dir" value="./src/" />

          <property name="java.runtime.version" value="1.8.0_191-8u191-b12-2ubuntu0.18.04.1-b12" />

          <property name="java.awt.graphicsenv" value="sun.awt.X11GraphicsEnvironment" />

          <property name="basedir" value="/home/alfred/Bureau/DM java/dm_java_2" />

          <property name="java.endorsed.dirs" value="/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/endorsed" />

          <property name="os.arch" value="amd64" />

          <property name="java.io.tmpdir" value="/tmp" />

          <property name="ant.core.lib" value="/usr/share/ant/lib/ant.jar" />

          <property name="line.separator" value="&#xa;" />

          <property name="java.vm.specification.vendor" value="Oracle Corporation" />

          <property name="os.name" value="Linux" />

          <property name="ant.home" value="/usr/share/ant" />

          <property name="test.src.dir" value="tests/" />

          <property name="ant.project.name" value="DM-POO" />

          <property name="sun.jnu.encoding" value="UTF-8" />

          <property name="java.library.path" value="/usr/java/packages/lib/amd64:/usr/lib/x86_64-linux-gnu/jni:/lib/x86_64-linux-gnu:/usr/lib/x86_64-linux-gnu:/usr/lib/jni:/lib:/usr/lib" />

          <property name="ant.file.type.DM-POO" value="file" />

          <property name="java.class.version" value="52.0" />

          <property name="java.specification.name" value="Java Platform API Specification" />

          <property name="sun.management.compiler" value="HotSpot 64-Bit Tiered Compilers" />

          <property name="os.version" value="4.15.0-47-generic" />

          <property name="ant.file" value="/home/alfred/Bureau/DM java/dm_java_2/build.xml" />

          <property name="user.home" value="/home/alfred" />

          <property name="user.timezone" value="" />

          <property name="java.awt.printerjob" value="sun.print.PSPrinterJob" />

          <property name="java.specification.version" value="1.8" />

          <property name="file.encoding" value="UTF-8" />

          <property name="java.class.path" value="/usr/share/java/junit4.jar:/usr/share/java/hamcrest-all.jar:/home/alfred/Bureau/DM java/dm_java_2/build:/home/alfred/Bureau/DM java/dm_java_2/build/tests:/usr/share/java/ant-launcher-1.10.3.jar:/usr/share/ant/lib/ant.jar:/usr/share/ant/lib/ant-junit.jar:/usr/share/ant/lib/ant-junit4.jar" />

          <property name="user.name" value="alfred" />

          <property name="ant.file.DM-POO" value="/home/alfred/Bureau/DM java/dm_java_2/build.xml" />

          <property name="java.vm.specification.version" value="1.8" />

          <property name="java.home" value="/usr/lib/jvm/java-8-openjdk-amd64/jre" />

          <property name="sun.java.command" value="org.apache.tools.ant.taskdefs.optional.junit.JUnitTestRunner PlusTest skipNonTests=false filtertrace=true haltOnError=false haltOnFailure=false showoutput=false outputtoformatters=true logfailedtests=true threadid=0 logtestlistenerevents=false formatter=org.apache.tools.ant.taskdefs.optional.junit.PlainJUnitResultFormatter,/home/alfred/Bureau/DM java/dm_java_2/reports/TEST-PlusTest.txt formatter=org.apache.tools.ant.taskdefs.optional.junit.XMLJUnitResultFormatter,/home/alfred/Bureau/DM java/dm_java_2/reports/TEST-PlusTest.xml crashfile=/home/alfred/Bureau/DM java/dm_java_2/junitvmwatcher3863272867701535455.properties propsfile=/home/alfred/Bureau/DM java/dm_java_2/junit1832991175943443010.properties" />

          <property name="sun.arch.data.model" value="64" />

          <property name="java.specification.vendor" value="Oracle Corporation" />

          <property name="user.language" value="fr" />

          <property name="awt.toolkit" value="sun.awt.X11.XToolkit" />

          <property name="java.vm.info" value="mixed mode" />

          <property name="java.version" value="1.8.0_191" />

          <property name="java.ext.dirs" value="/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/ext:/usr/java/packages/lib/ext" />

          <property name="sun.boot.class.path" value="/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/resources.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/rt.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/sunrsasign.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/jsse.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/jce.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/charsets.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/jfr.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/classes" />

          <property name="java.vendor" value="Oracle Corporation" />

          <property name="file.separator" value="/" />

          <property name="java.vendor.url.bug" value="http://bugreport.sun.com/bugreport/" />

          <property name="sun.cpu.endian" value="little" />

          <property name="sun.io.unicode.encoding" value="UnicodeLittle" />

          <property name="test.reports.dir" value="reports/" />

          <property name="test.build.dir" value="build/tests" />

          <property name="ant.file.type" value="file" />

          <property name="sun.cpu.isalist" value="" />

      </properties>

      <testcase classname="PlusTest" name="plus10Et15Renvoie25" time="0.003" />

      <testcase classname="PlusTest" name="plus0Et0Renvoie0" time="0.0" />

      <system-out><![CDATA[]]></system-out>

      <system-err><![CDATA[]]></system-err>

  </testsuite>
  <testsuite errors="0" failures="0" hostname="alfred-X541UJ" id="8" name="RechercheDichotomiqueTest" package="" skipped="0" tests="3" time="0.129" timestamp="2019-04-15T23:08:34">
      <properties>
          <property name="ant.project.invoked-targets" value="test-html" />

          <property name="main.build.dir" value="build/" />

          <property name="java.runtime.name" value="OpenJDK Runtime Environment" />

          <property name="sun.boot.library.path" value="/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/amd64" />

          <property name="java.vm.version" value="25.191-b12" />

          <property name="ant.library.dir" value="/usr/share/ant/lib" />

          <property name="ant.version" value="Apache Ant(TM) version 1.10.3 compiled on July 19 2018" />

          <property name="ant.java.version" value="1.8" />

          <property name="java.vm.vendor" value="Oracle Corporation" />

          <property name="java.vendor.url" value="http://java.oracle.com/" />

          <property name="path.separator" value=":" />

          <property name="java.vm.name" value="OpenJDK 64-Bit Server VM" />

          <property name="file.encoding.pkg" value="sun.io" />

          <property name="user.country" value="FR" />

          <property name="sun.java.launcher" value="SUN_STANDARD" />

          <property name="sun.os.patch.level" value="unknown" />

          <property name="java.vm.specification.name" value="Java Virtual Machine Specification" />

          <property name="user.dir" value="/home/alfred/Bureau/DM java/dm_java_2" />

          <property name="main.src.dir" value="./src/" />

          <property name="java.runtime.version" value="1.8.0_191-8u191-b12-2ubuntu0.18.04.1-b12" />

          <property name="java.awt.graphicsenv" value="sun.awt.X11GraphicsEnvironment" />

          <property name="basedir" value="/home/alfred/Bureau/DM java/dm_java_2" />

          <property name="java.endorsed.dirs" value="/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/endorsed" />

          <property name="os.arch" value="amd64" />

          <property name="java.io.tmpdir" value="/tmp" />

          <property name="ant.core.lib" value="/usr/share/ant/lib/ant.jar" />

          <property name="line.separator" value="&#xa;" />

          <property name="java.vm.specification.vendor" value="Oracle Corporation" />

          <property name="os.name" value="Linux" />

          <property name="ant.home" value="/usr/share/ant" />

          <property name="test.src.dir" value="tests/" />

          <property name="ant.project.name" value="DM-POO" />

          <property name="sun.jnu.encoding" value="UTF-8" />

          <property name="java.library.path" value="/usr/java/packages/lib/amd64:/usr/lib/x86_64-linux-gnu/jni:/lib/x86_64-linux-gnu:/usr/lib/x86_64-linux-gnu:/usr/lib/jni:/lib:/usr/lib" />

          <property name="ant.file.type.DM-POO" value="file" />

          <property name="java.class.version" value="52.0" />

          <property name="java.specification.name" value="Java Platform API Specification" />

          <property name="sun.management.compiler" value="HotSpot 64-Bit Tiered Compilers" />

          <property name="os.version" value="4.15.0-47-generic" />

          <property name="ant.file" value="/home/alfred/Bureau/DM java/dm_java_2/build.xml" />

          <property name="user.home" value="/home/alfred" />

          <property name="user.timezone" value="" />

          <property name="java.awt.printerjob" value="sun.print.PSPrinterJob" />

          <property name="java.specification.version" value="1.8" />

          <property name="file.encoding" value="UTF-8" />

          <property name="java.class.path" value="/usr/share/java/junit4.jar:/usr/share/java/hamcrest-all.jar:/home/alfred/Bureau/DM java/dm_java_2/build:/home/alfred/Bureau/DM java/dm_java_2/build/tests:/usr/share/java/ant-launcher-1.10.3.jar:/usr/share/ant/lib/ant.jar:/usr/share/ant/lib/ant-junit.jar:/usr/share/ant/lib/ant-junit4.jar" />

          <property name="user.name" value="alfred" />

          <property name="ant.file.DM-POO" value="/home/alfred/Bureau/DM java/dm_java_2/build.xml" />

          <property name="java.vm.specification.version" value="1.8" />

          <property name="java.home" value="/usr/lib/jvm/java-8-openjdk-amd64/jre" />

          <property name="sun.java.command" value="org.apache.tools.ant.taskdefs.optional.junit.JUnitTestRunner RechercheDichotomiqueTest skipNonTests=false filtertrace=true haltOnError=false haltOnFailure=false showoutput=false outputtoformatters=true logfailedtests=true threadid=0 logtestlistenerevents=false formatter=org.apache.tools.ant.taskdefs.optional.junit.PlainJUnitResultFormatter,/home/alfred/Bureau/DM java/dm_java_2/reports/TEST-RechercheDichotomiqueTest.txt formatter=org.apache.tools.ant.taskdefs.optional.junit.XMLJUnitResultFormatter,/home/alfred/Bureau/DM java/dm_java_2/reports/TEST-RechercheDichotomiqueTest.xml crashfile=/home/alfred/Bureau/DM java/dm_java_2/junitvmwatcher1579843737757300212.properties propsfile=/home/alfred/Bureau/DM java/dm_java_2/junit3195723676750821428.properties" />

          <property name="sun.arch.data.model" value="64" />

          <property name="java.specification.vendor" value="Oracle Corporation" />

          <property name="user.language" value="fr" />

          <property name="awt.toolkit" value="sun.awt.X11.XToolkit" />

          <property name="java.vm.info" value="mixed mode" />

          <property name="java.version" value="1.8.0_191" />

          <property name="java.ext.dirs" value="/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/ext:/usr/java/packages/lib/ext" />

          <property name="sun.boot.class.path" value="/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/resources.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/rt.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/sunrsasign.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/jsse.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/jce.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/charsets.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/jfr.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/classes" />

          <property name="java.vendor" value="Oracle Corporation" />

          <property name="file.separator" value="/" />

          <property name="java.vendor.url.bug" value="http://bugreport.sun.com/bugreport/" />

          <property name="sun.cpu.endian" value="little" />

          <property name="sun.io.unicode.encoding" value="UnicodeLittle" />

          <property name="test.reports.dir" value="reports/" />

          <property name="test.build.dir" value="build/tests" />

          <property name="ant.file.type" value="file" />

          <property name="sun.cpu.isalist" value="" />

      </properties>

      <testcase classname="RechercheDichotomiqueTest" name="rechercheSurListeVideDoitRenvoyerFalse" time="0.006" />

      <testcase classname="RechercheDichotomiqueTest" name="rechercheSurGrosTableau" time="0.001" />

      <testcase classname="RechercheDichotomiqueTest" name="rechercheCorrecteSurPetitTableau" time="0.001" />

      <system-out><![CDATA[]]></system-out>

      <system-err><![CDATA[]]></system-err>

  </testsuite>
</testsuites>
